# Scaffolding Angular

NPM module to create boilerplate templates for angular projects

[![npm version](https://badge.fury.io/js/scaffolding-angular.svg)](https://badge.fury.io/js/scaffolding-angular)
[![Build Status](https://travis-ci.org/burritos/scaffolding-angular.svg?branch=master)](https://travis-ci.org/burritos/scaffolding-angular)

## Installation

In the terminal run the following command
- `npm install scaffolding-angular --save-dev`

## How to use

Import npm module in gulpfile.js or Gruntfile.js
```
var scaffolding = require('scaffolding-angular');
```

Create a Gulp or Grunt task
```
/* Scaffolding UI **/
gulp.task('scaffolding', function(done){
    scaffolding.appStart();
});
```

To run Scaffolding Angular in Gulp
- `gulp scaffolding`

```
/* Scaffolding UI **/
grunt.task.registerTask('scaffolding', 'Scaffolding UI', function() {
    scaffolding.appStart();
});
```

To run Scaffolding Angular in Grunt
- `grunt scaffolding`

## Development

In the terminal run the following commands
- `npm install`
- `npm start`

Run test cases with mocha
- `npm test`

To publish the package in NPM change the version in package.json
- `"version": "x.x.x",`

And run the following command
- `npm publish`
